Bug 109249 - REGRESSION: Reloading a nightly start page three times makes it blank
Summary: REGRESSION: Reloading a nightly start page three times makes it blank
Status: RESOLVED WORKSFORME
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.8
: P1 Normal
Assignee: Nobody
URL: http://nightly.webkit.org/start/trun...
Keywords: InRadar, Regression
Depends on:
Blocks:
 
Reported: 2013-02-07 19:30 PST by Sanford Selznick
Modified: 2013-03-05 07:06 PST (History)
4 users (show)

See Also:


Attachments
Sample (174.11 KB, text/plain)
2013-02-07 19:30 PST, Sanford Selznick
no flags Details
Movie of the blank reload (1.75 MB, video/quicktime)
2013-02-11 07:59 PST, Sanford Selznick
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sanford Selznick 2013-02-07 19:30:56 PST
Created attachment 187220 [details]
Sample

1. Visit  http://nightly.webkit.org/start/trunk/142133
2. Reload the page 3 times.

After the third reload the page will never load again until Safari/WebKit are quit and relaunched.

I don't think this is a duplicate of the very old https://bugs.webkit.org/show_bug.cgi?id=19420

I can reproduce this on at least two machines/users.

It seems to happen on pages with dynamic HTML.

Sample provided, but it's not really hanging, just blank.

10.8.2, Version 6.0.2 (8536.26.17, 537+)
Comment 1 Darin Adler 2013-02-09 21:28:37 PST
I tried but was unable to reproduce this problem. My configuration is similar but not identical.
Comment 2 Sanford Selznick 2013-02-09 22:45:04 PST
Just reproduced it on a fairly bare-bones third computer using the exact link http://nightly.webkit.org/start/trunk/142133 and reloading three times.  After the third reload the page goes blank.

Not all pages exhibit the problem.

I also switched to a different network.  Same problem

I asked a far-away friend to try.  Same problem.
Comment 3 Sanford Selznick 2013-02-11 07:59:14 PST
Created attachment 187575 [details]
Movie of the blank reload

Watch the attached movie to see version, time, and date reproducing the event.
Comment 4 Darin Adler 2013-02-11 08:44:00 PST
What browser extensions do you have installed? Have you tested without them?
Comment 5 Sanford Selznick 2013-02-11 10:11:17 PST
Just to clarify my setup:

-> No browser extensions installed anywhere.
-> I downloaded the current nightly build to perform the test on all the computers.
-> All computers are up to date to 10.8.2.  
-> Stock-Safari works fine on all systems.
-> Reloading the URL in the movie (and in the bug report) reproduces the problem *almost* always.
-> There's nothing in Console.app about the issue.
-> I've tried a variety of computers and networks.

Thanks!
Comment 6 Sanford Selznick 2013-02-11 10:12:10 PST
I do have Flash installed on all systems, and have silverlight installed on most systems.
Comment 7 Alexey Proskuryakov 2013-02-12 19:18:00 PST
I can reproduce 100% reliably.
Comment 8 Alexey Proskuryakov 2013-02-12 19:19:14 PST
<rdar://problem/13204908>
Comment 9 Sanford Selznick 2013-02-14 21:04:08 PST
This appears to be fixed on two of my systems now.
Comment 10 Alexey Proskuryakov 2013-02-14 21:32:13 PST
Bisecting shows that this got fixed by <http://trac.webkit.org/changeset/142707>.
Comment 11 Alexey Proskuryakov 2013-02-14 21:34:44 PST
Unsure what to think about it though. Does this mean that main resource loading no longer takes this code path, but the bug still exists for subresources?
Comment 12 Sanford Selznick 2013-02-15 06:56:59 PST
I don't know enough to say.  Sorry.
Comment 13 Sanford Selznick 2013-02-18 08:35:20 PST
This bug, exactly as described by this report, reappeared in WebKit 143213.  Sorry.

Three reloads kills it.  The only way out is to quit/re-run WebKit.app.
Comment 14 Darin Adler 2013-02-18 19:25:13 PST
Who can reproduce this?
Comment 15 Sanford Selznick 2013-02-18 19:37:36 PST
It's intermittent.  I reproduced it a few times today.
Comment 16 Alexey Proskuryakov 2013-02-18 20:39:10 PST
I can not reproduce now.
Comment 17 Sanford Selznick 2013-02-21 09:02:52 PST
This happened again yesterday while browsing following a javascript debug session.  When it happens again, is there any information you'd like me to collect before restarting WebKit.app?
Comment 18 Alexey Proskuryakov 2013-02-21 09:36:39 PST
> This happened again yesterday while browsing following a javascript debug session.

Are you saying that you reloaded nightly start page three times after that? This bug tracks this specific scenario, not any instances of pages going blank. Yesterday, there was an entirely different bug with blank pages, bug 110368.
Comment 19 Sanford Selznick 2013-02-21 10:13:47 PST
No, It happens at random times and random sites.  I haven't seen a pattern.
Comment 20 Sanford Selznick 2013-03-05 07:06:09 PST
I've marked this as resolved.  I'll reopen it if I can get it to happen again at other URLs.  The initial problem is definitely fixed, though!  Thank you!